<?php
// $Id: template.php,v 1.2 2010/11/26 18:00:41 gjmjr Exp $

/**
 * @file template.php
 *
 * Template settings.
 */

/**
 * Inserts custom CSS files based on theme settings.
 *
 * @param $vars
 *   An array of variables to pass to the theme template.
 * @param $hook
 *   The name of the template being rendered ("page" in this case.)
 */
function mo6_preprocess_page(&$vars, $hook) {
  $settings = theme_get_settings('mo6');
  if (!is_null($settings)) {
    // Add a style sheet for compact comments
    if (isset($settings['mo6_compactcomments']) && $settings['mo6_compactcomments']) {
      $css = path_to_theme() . '/compactcomments.css';
      drupal_add_css($css, 'theme', 'all', 1);
    }
  }

  // Rebuild Drupal's css array:
  $css = drupal_add_css();

  // Apply that array to the $styles string to be printed in the <head> section of page.tpl.php
  $vars['styles'] = drupal_get_css($css);
}
